package calendar;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertFalse;
import static junit.framework.Assert.assertTrue;

import org.junit.Test;

public class GregorianCalenderTest {

	@Test
	public void leapYears() {
		assertTrue(GregorianCalender.isLeapYear(1996));
		assertTrue(GregorianCalender.isLeapYear(2000));
	}

	@Test
	public void nonLeapYears() {
		assertFalse(GregorianCalender.isLeapYear(1901));
		assertFalse(GregorianCalender.isLeapYear(2100));
	}

	@Test
	public void thirtyDaysLeapYear() {
		assertEquals(30, GregorianCalender.getNumberOfDays(6, 1904));
	}

	@Test
	public void thirtyDaysNonLeapYear() {
		assertEquals(30, GregorianCalender.getNumberOfDays(6, 1904));
	}

	@Test
	public void thirtyOneDaysLeapYear() {
		assertEquals(31, GregorianCalender.getNumberOfDays(7, 1904));
	}

	@Test
	public void thirtyOneDaysNonLeapYear() {
		assertEquals(31, GregorianCalender.getNumberOfDays(7, 1901));
	}

	@Test
	public void twentyEightOrNineDaysLeapYear() {
		assertEquals(28, GregorianCalender.getNumberOfDays(2, 1901));
	}

	@Test
	public void twentyEightOrNineDaysNonLeapYear() {
		assertEquals(29, GregorianCalender.getNumberOfDays(2, 1904));
	}

	@Test
	public void error() {
		assertEquals(-1, GregorianCalender.getNumberOfDays(2, 0));
		assertEquals(-1, GregorianCalender.getNumberOfDays(13, 1900));
	}

}
